SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001756SiT!configpublic2011-12-27 12:082012-01-13 19:40
Reporternicdev 
Assigned Topaulh 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindows ServerOS Version2000+Later
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001756: clean_fspath() removes the ":" from windows paths
DescriptionOn a windows system when SiT wants to write to the debug log, in line 558 of functions.inc.php:
$fp = fopen(clean_fspath($CONFIG['error_logfile']), 'a+');
this causes a path like this for example - D\wamp\www\sit\logs\sit.log which obviously fails.

Either we have to specify the error_logfile differently in the Config, or we need to make an exception for clean_fspath()
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0001713closedivan The function: clean_fspath($string) removes ":" from the strings which breaks file paths in Windows 
related to 0001719closedTomse Backslashes are removed from path names under Windows 

-  Notes
User avatar (0004406)
paulh (administrator)
2012-01-13 19:36

Agree, targeting for 3.66 as this is quite serious
User avatar (0004407)
paulh (administrator)
2012-01-13 19:39

already fixed in 3.x
User avatar (0004408)
paulh (administrator)
2012-01-13 19:40

3fcdd38 resolves

- Issue History
Date Modified Username Field Change
2011-12-27 12:08 nicdev New Issue
2012-01-07 14:59 Tomse Relationship added related to 0001719
2012-01-13 19:35 paulh Assigned To => paulh
2012-01-13 19:35 paulh Status new => confirmed
2012-01-13 19:36 paulh Note Added: 0004406
2012-01-13 19:36 paulh Target Version 3.90beta1 => 3.66 LTS
2012-01-13 19:39 paulh Note Added: 0004407
2012-01-13 19:39 paulh Target Version 3.66 LTS => 3.90beta1
2012-01-13 19:39 paulh Relationship added duplicate of 0001713
2012-01-13 19:40 paulh Note Added: 0004408
2012-01-13 19:40 paulh Status confirmed => resolved
2012-01-13 19:40 paulh Resolution open => fixed
2012-01-13 19:40 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker